# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets
import sys


def on_clicked():
    eras = QtWidgets.QErrorMessage(parent=window)
    eras.showMessage("Сообщение об ошибке")

def on_clicked2():
    eras = QtWidgets.QErrorMessage(parent=window)
    eras.showMessage("Сообщение об ошибке типа warning", "warning")

app = QtWidgets.QApplication(sys.argv)
window = QtWidgets.QWidget()          # Родительский компонент - окно
window.setWindowTitle("Вывод сообщения об ошибках")
# Назначаем обработчиками функции
button1 = QtWidgets.QPushButton("Ошибка_1")
button2 = QtWidgets.QPushButton("Ошибка_2")
grid = QtWidgets.QGridLayout()        # Создаем сетку
grid.addWidget(button1, 0, 0)         # Добавляем компоненты
grid.addWidget(button2, 0, 1)
button1.clicked.connect(on_clicked)
button2.clicked.connect(on_clicked2)
window.setLayout(grid)
window.show()
sys.exit(app.exec_())
